DH_NEW_BY_NID(3)

NAME
DH_new_by_nid, DH_get_nid - get or find DH named parameters

SYNOPSIS
 #include <openssl/dh.h>
 DH *DH_new_by_nid(int nid);

Deprecated since OpenSSL 3.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

 int *DH_get_nid(DH *dh);

DESCRIPTION
DH_new_by_nid() creates and returns a DH structure containing named parameters nid. Currently nid must be NID_ffdhe2048, NID_ffdhe3072, NID_ffdhe4096, NID_ffdhe6144, NID_ffdhe8192, NID_modp_1536, NID_modp_2048, NID_modp_3072, NID_modp_4096, NID_modp_6144 or NID_modp_8192.

DH_get_nid() determines if the parameters contained in dh match any named set. It returns the NID corresponding to the matching parameters or NID_undef if there is no match. This function is deprecated.

RETURN VALUES
DH_new_by_nid() returns a set of DH parameters or NULL if an error occurred.

DH_get_nid() returns the NID of the matching set of parameters or NID_undef if there is no match.

HISTORY
The DH_get_nid() function was deprecated in OpenSSL 3.0.

COPYRIGHT
Copyright 2017-2020 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.